server:
  port: 8088
  tomcat:
    max-swallow-size: -1
  servlet:
    context-path: /malladmin
  max-http-header-size: 8999

spring:
  application:
    name: mall-admin
  messages:
    basename: i18n/messages
  servlet:
    multipart:
      max-file-size: 50MB
      max-request-size: 50MB

#logging:
#  level: info
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  mapper-locations: classpath*:/mapper/**/**.xml
  global-config:
    db-config:
      capital-mode: true

express:
  showapi-url: https://route.showapi.com/64-19?
  appid: 764975
  secret: 3c592cd7122246ba9e712910b24eed22
  activeTime: 21600
  # 华为云调用：key + secret
  key: key
  # 阿里云调用： appcode
  appcode: d97dd0febda34a64a751f3ff6ea6d242
#
marketing:
  coupon:
    status-detection-task: "0 0 0 * * ?"
  promotion:
    status-detection-task: "0 0 0 * * ?"

order:
  member-up-task: "0 0 0 * * ?"
#
pay:
  ali-pay-url:
  we-chat-pay-url:
  pay-in-chain: true

